Subject: Re: What's cooking in git.git (Sep 2011, #04; Mon, 12)

From: Eric Sunshine <[email-masked]>
Date: Mon, 12 Sep 2011 19:15:22 -0400

On 9/12/2011 5:46 PM, Junio C Hamano wrote:
> Junio C Hamano<[email-masked]>  writes:
>
>> [Stalled]
>>
>> * jk/default-attr (2011-08-26) 1 commit
>>   - attr: map builtin userdiff drivers to well-known extensions
>>
>> Not urgent; I fixed up the test breakage just for fun.
>
> Could people who participated in the discussion make sure what is queued
> includes their favorite extensions they proposed?

The following extensions I mentioned are missing from jk/default-attr:

	"*.htm diff=html",
	"*.cpp diff=cpp",
	"*.mm diff=objc",

On Windows, .htm is common, and .cpp is required by several Windows C++ 
compilers. On Mac OS X, .mm is used for Objective-C++. The other 
extensions I mentioned (.cs, .hpp, .m) are present in jk/default-attr.

Peff also asked if uppercase extensions are common on Windows. They are, 
so one often sees .HTM, .HTML, etc. Should this issue be handled by 
jk/default-attr?

By the way, there appears to be an error in 1ff2bcf79b (attr: map 
builtin userdiff drivers to well-known extensions, 2011-08-25):

> static const char *builtin_attr[] = {
>  	"[attr]binary -diff -text",
> +	"*.html diff=html",
> 	...omitted...
> +	"*.f[0-9][0-9] diff=fortran",
> +	"*.m objc",
>  	NULL,

Shouldn't the last entry be?

	"*.m diff=objc",

(note the missing 'diff=')

-- ES